> For the complete documentation index, see [llms.txt](https://docs.warpstream.com/warpstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.warpstream.com/warpstream/reference/cli-reference/warpstream-cli/file-scrubber.md).

# file-scrubber

## Command Info

Tool to scrub sensitive data from WarpStream formatted data files.

## Command Usage

```bash
Usage of file-scrubber:
  -detailed-footer
    	print detailed information about the footer
  -file-url string
    	the file url to scrub
```

## Example

```bash
$ warpstream cli file-scrubber --file-url s3://my-s3-bucket/warpstream/vci_2b277e04_f805_45de_8a23_2b5b49028864/00002/0000000000000002

Header:
version: 1
content type: CONTENT_RECORDS

Scrubbed 1 records in page 1 offsets long for stream 1 shard 0
Scrubbed 1 records in 1 batches in this file

Footer:

stream ids: [1]
shard ids: [0]
offsets: []
counts: [1]


batch page counts: [1]
batch page offsets: [0]
batch offsets: [15]


uncompressed size hints: [23]
total size: 0MB




Scrubbing finished, scrubbed file is available at /tmp/file_0000000000000002.scrubbed
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.warpstream.com/warpstream/reference/cli-reference/warpstream-cli/file-scrubber.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
